%define _name gdesklets
%define package ExternIP

Name: gdesklets-sensors-%package
Version: 0.3.0
Release: alt0.1

Summary: %package is a %_name sensor to get the external IP of computer
License: GPL
Group: Graphical desktop/GNOME
Url: http://%_name.gnomedesktop.org

Source: %url/files/%package-%version.tar.bz2

BuildArch: noarch

Provides: gdesklets-displays-%package = %version-%release

%define gdesklets_ver 0.26.2
# Automatically added by buildreq on Fri Jul 16 2004 (-bi)
BuildRequires: XFree86-libs XFree86-locales fontconfig freetype2 glib2 python-base python-module-pygtk python-modules-compiler python-modules-encodings rpm-build-python

BuildRequires: python

PreReq: %_name >= %gdesklets_ver

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides sensor and very simple display to get the external
IP of your computer.

%define gdesklets_sensors_dir %_datadir/%_name/Sensors
%define gdesklets_displays_dir %_datadir/%_name/Displays

%prep
%setup -q -c %_name
tar -jxf %SOURCE0

%install
%__mkdir_p %buildroot{%gdesklets_sensors_dir,%gdesklets_displays_dir}
./*.bin --nomsg %buildroot%gdesklets_sensors_dir

%__cp Displays/* %buildroot%gdesklets_displays_dir/

%files
%gdesklets_sensors_dir/*
%gdesklets_displays_dir/*

%changelog
* Fri Jul 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt0.1
- 0.3.0

* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt0.1
- First build for Sisyphus.

